Summary:	A modular Wayland compositor library
Name:		wlroots
Version:	0.16.2
Release:	1
License:	MIT
Group:		Libraries
Source0:	https://gitlab.freedesktop.org/wlroots/wlroots/-/releases/%{version}/downloads/%{name}-%{version}.tar.gz
# Source0-md5:	cea876a8833d60ab65548ef60aae14b7
Patch0:		x32.patch
URL:		https://gitlab.freedesktop.org/wlroots/wlroots
BuildRequires:	EGL-devel
BuildRequires:	Mesa-libgbm-devel >= 21.1.0
BuildRequires:	OpenGLESv2-devel
BuildRequires:	Vulkan-Loader-devel >= 1.2.182
BuildRequires:	glslang >= 11.0.0
BuildRequires:	hwdata >= 0.364
BuildRequires:	libdrm-devel >= 2.4.113
BuildRequires:	libinput-devel >= 1.19.0
BuildRequires:	libseat-devel >= 0.2.0
BuildRequires:	libxcb-devel
BuildRequires:	meson >= 0.59.0
BuildRequires:	ninja
BuildRequires:	pixman-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	udev-devel
BuildRequires:	wayland-devel >= 1.21
BuildRequires:	wayland-protocols >= 1.27
BuildRequires:	xcb-util-errors-devel
BuildRequires:	xcb-util-renderutil-devel
BuildRequires:	xcb-util-wm-devel
BuildRequires:	xorg-lib-libxkbcommon-devel
BuildRequires:	xorg-xserver-Xwayland-devel
Requires:	Mesa-libgbm >= 21.1.0
Requires:	Vulkan-Loader >= 1.2.182
Requires:	libdrm >= 2.4.113
Requires:	libinput >= 1.19.0
Requires:	libseat >= 0.2.0
Requires:	wayland >= 1.21
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Pluggable, composable, unopinionated modules for building a Wayland
compositor; or about 50,000 lines of code you were going to write
anyway.
- wlroots provides backends that abstract the underlying display and
  input hardware, including KMS/DRM, libinput, Wayland, X11, and
  headless backends, plus any custom backends you choose to write, which
  can all be created or destroyed at runtime and used in concert with
  each other.
- wlroots provides unopinionated, mostly standalone implementations of
  many Wayland interfaces, both from wayland.xml and various protocol
  extensions. We also promote the standardization of portable extensions
  across many compositors.
- wlroots provides several powerful, standalone, and optional tools
  that implement components common to many compositors, such as the
  arrangement of outputs in physical space.
- wlroots provides an Xwayland abstraction that allows you to have
  excellent Xwayland support without worrying about writing your own X11
  window manager on top of writing your compositor.
- wlroots provides a renderer abstraction that simple compositors can
  use to avoid writing GL code directly, but which steps out of the way
  when your needs demand custom rendering code.

%package devel
Summary:	Header files for wlroots library
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	EGL-devel
Requires:	Mesa-libgbm-devel >= 21.1.0
Requires:	OpenGLESv2-devel
Requires:	Vulkan-Loader-devel >= 1.2.182
Requires:	libdrm-devel >= 2.4.113
Requires:	libinput-devel >= 1.19.0
Requires:	libseat-devel >= 0.2.0
Requires:	libxcb-devel
Requires:	pixman-devel
Requires:	systemd-devel >= 1:237
Requires:	udev-devel
Requires:	wayland-devel >= 1.21
Requires:	wayland-protocols >= 1.27
Requires:	xcb-util-errors-devel
Requires:	xcb-util-renderutil-devel
Requires:	xcb-util-wm-devel
Requires:	xorg-lib-libxkbcommon-devel

%description devel
Header files for wlroots library.

%package static
Summary:	Static wlroots library
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static wlroots library.

%prep
%setup -q
%patch0 -p1

%build
%meson build \
	-Dexamples=false \
	-Dxwayland=enabled
%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CONTRIBUTING.md README.md
%attr(755,root,root) %{_libdir}/libwlroots.so.11

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libwlroots.so
%{_includedir}/wlr
%{_pkgconfigdir}/wlroots.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libwlroots.a
%changelog
* Sat Feb 11 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/wlroots.git;a=log;h=master

* Sat Feb 11 2023 Jan Palus <atler@pld-linux.org> b4e5f9a
- up to 0.16.2

* Sun Dec 25 2022 Jan Palus <atler@pld-linux.org> 6ab7913
- up to 0.16.1

* Mon Apr 18 2022 Jan Palus <atler@pld-linux.org> 3212cd0
- up to 0.15.1

* Mon Mar 21 2022 Jan Palus <atler@pld-linux.org> 1b63c53
- systemd-devel epoch

* Mon Mar 21 2022 Jan Palus <atler@pld-linux.org> 6f4d7c7
- don't build examples

* Sun Jan 23 2022 Jan Palus <atler@pld-linux.org> 6e181c2
- up to 0.15.0

* Thu Oct 28 2021 Jan Palus <atler@pld-linux.org> 3145cf1
- fix libseat R:; rel 2

* Sun Jul 11 2021 Jan Palus <atler@pld-linux.org> 6b24d0f
- up to 0.14.1

* Thu Jun 24 2021 Jan Palus <atler@pld-linux.org> 5be6897
- up to 0.14.0 (new soname)

* Mon May 17 2021 Jan Palus <atler@pld-linux.org> 0fe6cd4
- BR: xorg-xserver-Xwayland-devel; explicitly enable xwayland; rel 2

* Wed Apr 07 2021 Jan Palus <atler@pld-linux.org> 20723c1
- up to 0.13.0 (new soname)

* Sat Feb 06 2021 Jan Rękorajski <baggins@pld-linux.org> ed600df
- fix x32 conditions

* Fri Feb 05 2021 Jan Rękorajski <baggins@pld-linux.org> 04cd35e
- make x32 patch rely on compiler, not rpm

* Wed Feb 03 2021 Jan Palus <atler@pld-linux.org> 378d42d
- fix build on x32

* Sun Jan 31 2021 Jan Palus <atler@pld-linux.org> ed3567b
- new

